@mixin set-text-clamp($lines: 1) {
  text-overflow: ellipsis;
  overflow: hidden;

  @if $lines > 1 {
    white-space: normal;
    display: -webkit-box;
    -webkit-line-clamp: $lines;
    -webkit-box-orient: vertical;
  }
  @else {
    white-space: nowrap;
  }
}
